ByCloud Docs
GuidesCLIAPISDK
get/v1/iam/users/{user_id}

Get user

Get details of a specific user in the organization

Path Parameters

user_id

string<uuid>required

path

User ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

User details

Content-Type: application/json

user

objectoptional

A platform user linked to this organization for IAM

401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/iam/users/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

User details

{
"user": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn::iam:user:550e8400-e29b-41d4-a716-446655440000",
"email": "john.doe@acme.com",
"name": "John Doe",
"groups": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "string"
}
],
"added_at": "2024-01-15T10:30:00Z"
}
}